> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Abrufen Checkout Ergebnis

> Gibt a lightweight checkout result payload for website success or cancel pages.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.de.json GET /v1/public/accounts/{account_id}/billing/checkout/result
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/checkout/result:
    get:
      tags:
        - public-accounts
      summary: Abrufen Checkout Ergebnis
      description: >-
        Gibt a lightweight checkout result payload for website success or cancel
        pages.
      operationId: >-
        get_checkout_result_v1_public_accounts__account_id__billing_checkout_result_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: plan_key
          required: true
          schema:
            title: Plan Key
            type: string
        - in: query
          name: checkout_token
          required: true
          schema:
            title: Checkout Token
            type: string
        - in: query
          name: hosted_page_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Hosted Page Id
        - in: query
          name: status_hint
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status Hint
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutResultResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validierungsfehler
components:
  schemas:
    CheckoutResultResponse:
      properties:
        account:
          $ref: '#/components/schemas/AccountSummaryResponse'
          description: Zusammenfassung des Checkout-Kontos
        auth_required_for_dashboard:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Ob für den Dashboard-Zugriff eine Authentifizierung erforderlich ist
          title: Authentifizierung für Dashboard erforderlich
        checkout_token:
          description: Token zur Fortsetzung des Bezahlvorgangs
          title: Checkout-Token
          type: string
        dashboard_url:
          anyOf:
            - type: string
            - type: 'null'
          description: Dashboard-URL für das Konto
          title: Dashboard-URL
        message:
          description: Meldung zum Checkout-Ergebnis
          title: Nachricht
          type: string
        plan_key:
          description: Ausgewählter Abrechnungsplanschlüssel
          enum:
            - smtp_per_mailbox
            - smtp_per_proxy
          title: Planschlüssel
          type: string
        status:
          description: Status des Checkout-Ergebnisses
          title: Status
          type: string
      required:
        - plan_key
        - status
        - message
        - account
        - checkout_token
      title: CheckoutResultResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AccountSummaryResponse:
      description: Safe Account Zusammenfassung returned to the website.
      properties:
        account_id:
          description: Konto UUID
          title: Konto-ID
          type: string
        chargebee_subscription_status:
          anyOf:
            - type: string
            - type: 'null'
          description: Chargebee-Abonnementstatus
          title: Chargebee Abonnementstatus
        currency:
          description: Rechnungswährungscode
          title: Währung
          type: string
      required:
        - account_id
        - currency
      title: AccountSummaryResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Standort
          type: array
        msg:
          title: Nachricht
          type: string
        type:
          title: Fehler Typ
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````